مواد پر جائیں

FFmpeg API Compose

انٹیگریٹ کریں

ماڈل id ffmpeg-api/compose
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست: ≈⁨$0.001⁩ 1 API کریڈٹ اس صفحے پر چلائیں

API کلید حاصل کریں
Utility ویڈیو سے ویڈیو #ffmpeg

متعدد ٹریکس کو ایک ویڈیو میں جوڑتا ہے، جس میں بالکل ایک بصری ٹریک اور کسی بھی تعداد میں آڈیو ٹریکس ہوتے ہیں

Utility · ڈیٹا (JSON)

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

•لازمی

حتمی media جوڑنے کے لیے track list؛ اس میں بالکل ایک ویڈیو یا تصویر track اور آڈیو tracks کی غیر محدود تعداد شامل ہوتی ہے۔

POST /run/ffmpeg-api/compose?wait=20 قیمت → ⁨$0.001⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/compose?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

FFmpeg API Compose کے بارے میں

`tracks` کی فہرست سے حتمی ویڈیو بناتا ہے۔ فہرست میں بالکل ایک بصری ٹریک، یعنی ویڈیو یا تصویر، ہونا چاہیے اور کسی بھی تعداد میں آڈیو ٹریکس شامل ہو سکتے ہیں۔ آؤٹ پٹ JSON ہوتا ہے جس میں `video_url` اور `thumbnail_url` شامل ہیں۔

پیرامیٹرز

نامقسم ڈیفالٹمجاز تفصیل
tracksلازمی
قسمobject[]
حتمی media جوڑنے کے لیے track list؛ اس میں بالکل ایک ویڈیو یا تصویر track اور آڈیو tracks کی غیر محدود تعداد شامل ہوتی ہے۔
tracks[].idلازمی
قسمstring
track کی منفرد شناخت کرنے والا identifier۔
tracks[].typeلازمی
قسمstring
track category: 'video'، 'audio' یا 'image'۔
tracks[].keyframesلازمی
قسمobject[]
track پر مشتمل keyframes، فہرست کی صورت میں فراہم کردہ۔
tracks[].keyframes[].timestampلازمی
قسمnumber
keyframe کا start time، milliseconds میں۔
tracks[].keyframes[].durationلازمی
قسمnumber
keyframe کی length، milliseconds میں۔
tracks[].keyframes[].urlلازمی
قسمstring
اس keyframe کی media فائل تک رسائی فراہم کرنے والا URL۔
لازمی

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/compose",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "tracks": [
      {
        "id": "your-id",
        "type": "example",
        "keyframes": [
          {
            "timestamp": 1,
            "duration": 1,
            "url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
          }
        ]
      }
    ]
  },
  "output": {
    "video_url": "string",
    "thumbnail_url": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
video_url
string (video URL)processed ویڈیو کا URL۔
thumbnail_url
stringویڈیو کے thumbnail کا URL۔

مزید ماڈلز: ویڈیو سے ویڈیو

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/ffmpeg-api/compose.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt